Index
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form
A
- action() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionRequest
-
Returns the value of the
actionrecord component. - addCorsMappings(CorsRegistry) - Method in class fr.tiogars.chat.config.ApiCorsConfiguration
- ADMIN - Static variable in class fr.tiogars.chat.domains.auth.role.services.RoleService
- AdminAccountProperties - Record Class in fr.tiogars.chat.config
-
Initial administrator account settings.
- AdminAccountProperties(String, String) - Constructor for record class fr.tiogars.chat.config.AdminAccountProperties
-
Creates an instance of a
AdminAccountPropertiesrecord class. - ANONYMOUS - Static variable in class fr.tiogars.chat.domains.auth.role.services.RoleService
- AnonymousUserSettingsReadController - Class in fr.tiogars.chat.domains.settings.user.controllers
-
Exposes the public endpoint that reads the ANONYMOUS role settings.
- AnonymousUserSettingsUpdateController - Class in fr.tiogars.chat.domains.settings.user.controllers
-
Exposes the administrator endpoint that updates the ANONYMOUS role settings.
- ApiCorsConfiguration - Class in fr.tiogars.chat.config
-
Configures browser access to the API from the web console.
- ApiCorsConfiguration(String[]) - Constructor for class fr.tiogars.chat.config.ApiCorsConfiguration
- AppConfiguration - Class in fr.tiogars.chat.config
-
Main application configuration that ensures all data domains are scanned.
- AppConfiguration() - Constructor for class fr.tiogars.chat.config.AppConfiguration
- apply(TaskEntity, List, Long) - Method in class fr.tiogars.chat.domains.task.services.TaskReferences
- assignedTo() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
assignedTorecord component. - assignedTo() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
assignedTorecord component. - assignedTo() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
assignedTorecord component. - assignedTo() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
assignedTorecord component. - assignedTo() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
assignedTorecord component. - assignedTo() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
assignedTorecord component. - attributes(TaskStatus, TaskPriority, LocalDate, String) - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- auditClock() - Method in class fr.tiogars.chat.config.JpaAuditingConfiguration
- auditDateTimeProvider(Clock) - Method in class fr.tiogars.chat.config.JpaAuditingConfiguration
- AuditedTaxonomyEntity - Class in fr.tiogars.chat.domains.taxonomy
- AuditedTaxonomyEntity() - Constructor for class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- AuditedTaxonomyEntity(String, String, String) - Constructor for class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- AuthLoginController - Class in fr.tiogars.chat.domains.auth.controllers
-
Exposes the endpoint that authenticates users.
- AuthMeController - Class in fr.tiogars.chat.domains.auth.controllers
-
Exposes the current authenticated user.
- AuthService - Class in fr.tiogars.chat.domains.auth.services
-
Authenticates credentials and issues JWT access tokens.
B
- baseUrl() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Returns the value of the
baseUrlrecord component.
C
- call(String) - Method in interface fr.tiogars.chat.domains.prompt.services.ChatClientAdapter
-
Send a prompt to the AI and get a response.
- call(String) - Method in class fr.tiogars.chat.domains.prompt.services.LmStudioChatClientImpl
- call(String, String) - Method in interface fr.tiogars.chat.domains.prompt.services.ChatClientAdapter
-
Send a prompt with system message to the AI and get a response.
- call(String, String) - Method in class fr.tiogars.chat.domains.prompt.services.LmStudioChatClientImpl
- CANCELLED - Enum constant in enum class fr.tiogars.chat.client.TaskStatus
- CANCELLED - Enum constant in enum class fr.tiogars.chat.domains.task.models.TaskStatus
- ChatApplication - Class in fr.tiogars.chat
-
Bootstraps the Chat Spring application with AI integration.
- ChatApplication() - Constructor for class fr.tiogars.chat.ChatApplication
- ChatClientAdapter - Interface in fr.tiogars.chat.domains.prompt.services
-
Adapter interface for chat clients.
- code() - Method in record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.client.CreateTagRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.auth.role.models.CreateRoleRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.tag.models.CreateTagRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
coderecord component. - command() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns the value of the
commandrecord component. - concurrentWrite(OptimisticLockingFailureException) - Method in class fr.tiogars.chat.domains.task.controllers.TaskConflictHandler
- conflict(DataIntegrityViolationException) - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyConflictHandler
- countTaskReferences(Long) - Method in interface fr.tiogars.chat.domains.nomenclature.repositories.NomenclatureRepository
- countTaskReferences(Long) - Method in interface fr.tiogars.chat.domains.tag.repositories.TagRepository
- create(C) - Method in class fr.tiogars.chat.client.TaxonomyClient
- create(CreateTaskRequest) - Method in class fr.tiogars.chat.client.TaskClient
-
Creates a Task.
- create(CreateRoleRequest) - Method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- create(CreateUserRequest) - Method in class fr.tiogars.chat.domains.auth.user.services.UserService
- create(CreateNomenclatureRequest) - Method in class fr.tiogars.chat.domains.nomenclature.controllers.NomenclatureController
- create(CreateTagRequest) - Method in class fr.tiogars.chat.domains.tag.controllers.TagController
- create(CreateTaskRequest) - Method in class fr.tiogars.chat.domains.task.services.TaskCreateService
-
Creates a Task when its code does not already exist.
- createdBy() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
createdByrecord component. - createdBy() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
createdByrecord component. - createdBy() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
createdByrecord component. - createdBy() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
createdByrecord component. - createdBy() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
createdByrecord component. - createdBy() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
createdByrecord component. - createdDate() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.domains.settings.user.entities.UserSettings
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
createdDaterecord component. - createNomenclature(CreateNomenclatureRequest) - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- CreateNomenclatureRequest - Record Class in fr.tiogars.chat.client
- CreateNomenclatureRequest - Record Class in fr.tiogars.chat.domains.nomenclature.models
- CreateNomenclatureRequest(String, String, String, Long) - Constructor for record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Creates an instance of a
CreateNomenclatureRequestrecord class. - CreateNomenclatureRequest(String, String, String, Long) - Constructor for record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Creates an instance of a
CreateNomenclatureRequestrecord class. - CreateRoleRequest - Record Class in fr.tiogars.chat.domains.auth.role.models
-
Request body used to create a role.
- CreateRoleRequest(String, String) - Constructor for record class fr.tiogars.chat.domains.auth.role.models.CreateRoleRequest
-
Creates an instance of a
CreateRoleRequestrecord class. - createTag(CreateTagRequest) - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- CreateTagRequest - Record Class in fr.tiogars.chat.client
- CreateTagRequest - Record Class in fr.tiogars.chat.domains.tag.models
- CreateTagRequest(String, String, String) - Constructor for record class fr.tiogars.chat.domains.tag.models.CreateTagRequest
-
Creates an instance of a
CreateTagRequestrecord class. - CreateTagRequest(String, String, String) - Constructor for record class fr.tiogars.chat.client.CreateTagRequest
-
Creates an instance of a
CreateTagRequestrecord class. - createTask(CreateTaskRequest) - Method in class fr.tiogars.chat.domains.task.controllers.TaskCreateController
-
Creates a new version of a domain record.
- CreateTaskRequest - Record Class in fr.tiogars.chat.client
-
Defines the data required to create a Task.
- CreateTaskRequest - Record Class in fr.tiogars.chat.domains.task.models
-
Defines the business data required to create a Task.
- CreateTaskRequest(String, String, String, TaskStatus, TaskPriority, LocalDate, String, List, Long) - Constructor for record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Creates an instance of a
CreateTaskRequestrecord class. - CreateTaskRequest(String, String, String) - Constructor for record class fr.tiogars.chat.client.CreateTaskRequest
- CreateTaskRequest(String, String, String) - Constructor for record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
- CreateTaskRequest(String, String, String, TaskStatus, TaskPriority, LocalDate, String, List, Long) - Constructor for record class fr.tiogars.chat.client.CreateTaskRequest
-
Creates an instance of a
CreateTaskRequestrecord class. - CreateUserRequest - Record Class in fr.tiogars.chat.domains.auth.user.models
-
Request body used to create a user account.
- CreateUserRequest(String, String, Boolean, Set) - Constructor for record class fr.tiogars.chat.domains.auth.user.models.CreateUserRequest
-
Creates an instance of a
CreateUserRequestrecord class.
D
- data() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Returns the value of the
datarecord component. - DEFAULT_VIEW_MODE - Static variable in class fr.tiogars.chat.domains.settings.user.services.UserSettingsService
- delete(long) - Method in class fr.tiogars.chat.client.TaskClient
-
Deletes a Task.
- delete(long) - Method in class fr.tiogars.chat.client.TaxonomyClient
- delete(Long) - Method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- delete(Long) - Method in class fr.tiogars.chat.domains.auth.user.services.UserService
- delete(Long) - Method in class fr.tiogars.chat.domains.nomenclature.controllers.NomenclatureController
- delete(Long) - Method in class fr.tiogars.chat.domains.tag.controllers.TagController
- delete(Long) - Method in class fr.tiogars.chat.domains.task.services.TaskDeleteService
-
Soft-deletes an active Task.
- deleteByServiceId(String) - Method in interface fr.tiogars.chat.domains.mcp.repositories.McpServiceRepository
-
Delete an MCP service by its service ID.
- deletedIds() - Method in record class fr.tiogars.chat.common.models.DeleteSelectedResponse
-
Returns the value of the
deletedIdsrecord component. - deleteEach(List, Predicate) - Static method in class fr.tiogars.chat.common.services.DeleteSelectedSupport
-
Deletes each distinct identifier, preserving the input order.
- deleteNomenclature(Long) - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- deleteSelected(List) - Method in class fr.tiogars.chat.domains.auth.role.services.RoleDeleteSelectedService
- deleteSelected(List) - Method in class fr.tiogars.chat.domains.auth.user.services.UserDeleteSelectedService
- deleteSelected(List) - Method in class fr.tiogars.chat.domains.task.services.TaskDeleteSelectedService
-
Soft-deletes the selected Tasks.
- DeleteSelectedRequest - Record Class in fr.tiogars.chat.common.models
-
Identifies the records selected for a bulk deletion.
- DeleteSelectedRequest(List) - Constructor for record class fr.tiogars.chat.common.models.DeleteSelectedRequest
-
Creates an instance of a
DeleteSelectedRequestrecord class. - DeleteSelectedResponse - Record Class in fr.tiogars.chat.common.models
-
Reports the outcome of a bulk deletion.
- DeleteSelectedResponse(List, List) - Constructor for record class fr.tiogars.chat.common.models.DeleteSelectedResponse
-
Creates an instance of a
DeleteSelectedResponserecord class. - DeleteSelectedSupport - Class in fr.tiogars.chat.common.services
-
Applies a single-record deletion to each selected identifier.
- deleteSelectedTask(DeleteSelectedRequest) - Method in class fr.tiogars.chat.domains.task.controllers.TaskDeleteSelectedController
-
Archives every selected active record.
- deleteTag(Long) - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- deleteTask(Long) - Method in class fr.tiogars.chat.domains.task.controllers.TaskDeleteController
-
Archives an active record, preserving its database row and business code.
- description() - Method in record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.CreateTagRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.UpdateNomenclatureRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.UpdateTagRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.nomenclature.models.UpdateNomenclatureRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.tag.models.CreateTagRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.tag.models.UpdateTagRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
descriptionrecord component. - doFilterInternal(HttpServletRequest, HttpServletResponse, FilterChain) - Method in class fr.tiogars.chat.domains.auth.services.JwtAuthenticationFilter
- DomainConfiguration - Class in fr.tiogars.chat.domains
-
Configuration class that ensures all domain packages are scanned for Spring components.
- DomainConfiguration() - Constructor for class fr.tiogars.chat.domains.DomainConfiguration
- DONE - Enum constant in enum class fr.tiogars.chat.client.TaskStatus
- DONE - Enum constant in enum class fr.tiogars.chat.domains.task.models.TaskStatus
- dueDate() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
dueDaterecord component. - dueDate() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
dueDaterecord component. - dueDate() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
dueDaterecord component. - dueDate() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
dueDaterecord component. - dueDate() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
dueDaterecord component. - dueDate() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
dueDaterecord component. - duplicateActiveCode(DataIntegrityViolationException) - Method in class fr.tiogars.chat.domains.task.controllers.TaskConflictHandler
E
- enabled() - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Returns the value of the
enabledrecord component. - enabled() - Method in record class fr.tiogars.chat.domains.auth.user.models.CreateUserRequest
-
Returns the value of the
enabledrecord component. - enabled() - Method in record class fr.tiogars.chat.domains.auth.user.models.UpdateUserRequest
-
Returns the value of the
enabledrecord component. - enabled() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns the value of the
enabledrecord component. - env() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns the value of the
envrecord component. - equals(Object) - Method in record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.CreateTagRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.Nomenclature
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.Tag
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.Task
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.UpdateNomenclatureRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.UpdateTagRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.common.models.DeleteSelectedRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.common.models.DeleteSelectedResponse
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.config.AdminAccountProperties
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.config.JwtProperties
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.models.LoginRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.models.LoginResponse
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.role.models.CreateRoleRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.role.models.UpdateRoleRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.user.models.CreateUserRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.auth.user.models.UpdateUserRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.nomenclature.models.UpdateNomenclatureRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.settings.user.entities.UserSettings
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.settings.user.models.UpdateUserSettingsRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.tag.models.CreateTagRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.tag.models.UpdateTagRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.task.models.PrintSelectedTasksRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Indicates whether some other object is "equal to" this one.
- error() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Returns the value of the
errorrecord component. - executeAction(McpActionRequest) - Method in class fr.tiogars.chat.domains.mcp.services.McpService
-
Execute an action on an MCP service.
- executeAction(String, McpActionRequest) - Method in class fr.tiogars.chat.domains.mcp.controllers.McpServiceController
- existsByCode(String) - Method in interface fr.tiogars.chat.domains.nomenclature.repositories.NomenclatureRepository
- existsByCode(String) - Method in interface fr.tiogars.chat.domains.tag.repositories.TagRepository
- existsByParentId(Long) - Method in interface fr.tiogars.chat.domains.nomenclature.repositories.NomenclatureRepository
- existsByServiceId(String) - Method in interface fr.tiogars.chat.domains.mcp.repositories.McpServiceRepository
-
Check if an MCP service with the given ID exists.
- existsByUsername(String) - Method in interface fr.tiogars.chat.domains.auth.user.repositories.UserRepository
- expirationSeconds() - Method in record class fr.tiogars.chat.config.JwtProperties
-
Returns the value of the
expirationSecondsrecord component. - expiresAt() - Method in record class fr.tiogars.chat.domains.auth.models.LoginResponse
-
Returns the value of the
expiresAtrecord component. - expiresAt() - Method in class fr.tiogars.chat.domains.auth.services.JwtTokenService
- exportCsv() - Method in class fr.tiogars.chat.client.TaskClient
-
Exports all Tasks as CSV.
- exportCsvTask() - Method in class fr.tiogars.chat.domains.task.controllers.TaskImportExportController
-
Exports records as CSV.
- exportJson() - Method in class fr.tiogars.chat.client.TaskClient
-
Exports all Tasks as JSON-compatible objects.
- exportJsonTask() - Method in class fr.tiogars.chat.domains.task.controllers.TaskImportExportController
-
Exports records as JSON.
- extractUsername(String) - Method in class fr.tiogars.chat.domains.auth.services.JwtTokenService
F
- find() - Method in class fr.tiogars.chat.domains.lmstudio.services.LmStudioSettingsService
- findAll() - Method in class fr.tiogars.chat.client.TaskClient
-
Lists all Tasks.
- findAll() - Method in class fr.tiogars.chat.client.TaxonomyClient
- findAll() - Method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- findAll() - Method in class fr.tiogars.chat.domains.auth.user.services.UserService
- findAll() - Method in class fr.tiogars.chat.domains.nomenclature.controllers.NomenclatureController
- findAll() - Method in class fr.tiogars.chat.domains.tag.controllers.TagController
- findAll() - Method in class fr.tiogars.chat.domains.task.services.TaskFindAllService
-
Lists all templates ordered by business code.
- findAllByIdInOrderByCodeAsc(List) - Method in interface fr.tiogars.chat.domains.task.repositories.TaskRepository
-
Finds selected active Tasks ordered by code.
- findAllByOrderByCodeAsc() - Method in interface fr.tiogars.chat.domains.auth.role.repositories.RoleRepository
- findAllByOrderByCodeAsc() - Method in interface fr.tiogars.chat.domains.nomenclature.repositories.NomenclatureRepository
- findAllByOrderByCodeAsc() - Method in interface fr.tiogars.chat.domains.tag.repositories.TagRepository
- findAllByOrderByCodeAsc() - Method in interface fr.tiogars.chat.domains.task.repositories.TaskRepository
-
Finds all Tasks ordered by code.
- findAllByOrderByUsernameAsc() - Method in interface fr.tiogars.chat.domains.auth.user.repositories.UserRepository
- findAnonymous() - Method in class fr.tiogars.chat.domains.settings.user.services.UserSettingsService
- findByCode(String) - Method in interface fr.tiogars.chat.domains.auth.role.repositories.RoleRepository
- findByCode(String) - Method in interface fr.tiogars.chat.domains.task.repositories.TaskRepository
-
Finds a Task by its code.
- findByEnabledTrue() - Method in interface fr.tiogars.chat.domains.mcp.repositories.McpServiceRepository
-
Find all enabled MCP services.
- findById(long) - Method in class fr.tiogars.chat.client.TaskClient
-
Finds a Task by identifier.
- findById(long) - Method in class fr.tiogars.chat.client.TaxonomyClient
- findById(Long) - Method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- findById(Long) - Method in class fr.tiogars.chat.domains.auth.user.services.UserService
- findById(Long) - Method in class fr.tiogars.chat.domains.nomenclature.controllers.NomenclatureController
- findById(Long) - Method in class fr.tiogars.chat.domains.tag.controllers.TagController
- findById(Long) - Method in class fr.tiogars.chat.domains.task.services.TaskFindByIdService
-
Finds a Task by identifier.
- findByNameContainingIgnoreCase(String) - Method in interface fr.tiogars.chat.domains.mcp.repositories.McpServiceRepository
-
Find MCP services by name containing a keyword.
- findByRoleCode(String) - Method in interface fr.tiogars.chat.domains.settings.user.repositories.UserSettingsRepository
- findByServiceId(String) - Method in interface fr.tiogars.chat.domains.mcp.repositories.McpServiceRepository
-
Find an MCP service by its service ID.
- findBySessionId(String, Pageable) - Method in interface fr.tiogars.chat.domains.prompt.repositories.PromptRepository
-
Find prompts by session ID.
- findByUserId(Long) - Method in interface fr.tiogars.chat.domains.settings.user.repositories.UserSettingsRepository
- findByUserId(Long) - Method in class fr.tiogars.chat.domains.settings.user.services.UserSettingsService
-
Returns the settings of an account holding the USER role, or empty otherwise.
- findByUserId(UUID, Pageable) - Method in interface fr.tiogars.chat.domains.prompt.repositories.PromptRepository
-
Find prompts by user ID.
- findByUserIdAndSessionId(UUID, String, Pageable) - Method in interface fr.tiogars.chat.domains.prompt.repositories.PromptRepository
-
Find prompts by user ID and session ID.
- findByUsername(String) - Method in interface fr.tiogars.chat.domains.auth.user.repositories.UserRepository
- findByUsername(String) - Method in class fr.tiogars.chat.domains.auth.user.services.UserService
- findByUsername(String) - Method in class fr.tiogars.chat.domains.settings.user.services.UserSettingsService
-
Returns the settings of the authenticated account, or empty when the account does not exist.
- findEntityByCode(String) - Method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- findTopNByUserIdOrderByCreatedAtDesc(UUID, int) - Method in interface fr.tiogars.chat.domains.prompt.repositories.PromptRepository
-
Find the most recent prompts for a user.
- finishReason() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Returns the value of the
finishReasonrecord component. - forceAdminUser(String, String) - Method in class fr.tiogars.chat.domains.auth.user.services.UserService
- forRole(String, String, Instant) - Static method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- forUser(UserEntity, String, Instant) - Static method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- fr.tiogars.chat - package fr.tiogars.chat
- fr.tiogars.chat.client - package fr.tiogars.chat.client
- fr.tiogars.chat.common.models - package fr.tiogars.chat.common.models
- fr.tiogars.chat.common.services - package fr.tiogars.chat.common.services
- fr.tiogars.chat.config - package fr.tiogars.chat.config
- fr.tiogars.chat.domains - package fr.tiogars.chat.domains
- fr.tiogars.chat.domains.auth.controllers - package fr.tiogars.chat.domains.auth.controllers
- fr.tiogars.chat.domains.auth.models - package fr.tiogars.chat.domains.auth.models
- fr.tiogars.chat.domains.auth.role.controllers - package fr.tiogars.chat.domains.auth.role.controllers
- fr.tiogars.chat.domains.auth.role.entities - package fr.tiogars.chat.domains.auth.role.entities
- fr.tiogars.chat.domains.auth.role.models - package fr.tiogars.chat.domains.auth.role.models
- fr.tiogars.chat.domains.auth.role.repositories - package fr.tiogars.chat.domains.auth.role.repositories
- fr.tiogars.chat.domains.auth.role.services - package fr.tiogars.chat.domains.auth.role.services
- fr.tiogars.chat.domains.auth.services - package fr.tiogars.chat.domains.auth.services
- fr.tiogars.chat.domains.auth.user.controllers - package fr.tiogars.chat.domains.auth.user.controllers
- fr.tiogars.chat.domains.auth.user.entities - package fr.tiogars.chat.domains.auth.user.entities
- fr.tiogars.chat.domains.auth.user.models - package fr.tiogars.chat.domains.auth.user.models
- fr.tiogars.chat.domains.auth.user.repositories - package fr.tiogars.chat.domains.auth.user.repositories
- fr.tiogars.chat.domains.auth.user.services - package fr.tiogars.chat.domains.auth.user.services
- fr.tiogars.chat.domains.lmstudio.controllers - package fr.tiogars.chat.domains.lmstudio.controllers
- fr.tiogars.chat.domains.lmstudio.entities - package fr.tiogars.chat.domains.lmstudio.entities
- fr.tiogars.chat.domains.lmstudio.models - package fr.tiogars.chat.domains.lmstudio.models
- fr.tiogars.chat.domains.lmstudio.repositories - package fr.tiogars.chat.domains.lmstudio.repositories
- fr.tiogars.chat.domains.lmstudio.services - package fr.tiogars.chat.domains.lmstudio.services
- fr.tiogars.chat.domains.mcp.controllers - package fr.tiogars.chat.domains.mcp.controllers
- fr.tiogars.chat.domains.mcp.entities - package fr.tiogars.chat.domains.mcp.entities
- fr.tiogars.chat.domains.mcp.models - package fr.tiogars.chat.domains.mcp.models
- fr.tiogars.chat.domains.mcp.repositories - package fr.tiogars.chat.domains.mcp.repositories
- fr.tiogars.chat.domains.mcp.services - package fr.tiogars.chat.domains.mcp.services
- fr.tiogars.chat.domains.nomenclature.controllers - package fr.tiogars.chat.domains.nomenclature.controllers
- fr.tiogars.chat.domains.nomenclature.entities - package fr.tiogars.chat.domains.nomenclature.entities
- fr.tiogars.chat.domains.nomenclature.models - package fr.tiogars.chat.domains.nomenclature.models
- fr.tiogars.chat.domains.nomenclature.repositories - package fr.tiogars.chat.domains.nomenclature.repositories
- fr.tiogars.chat.domains.prompt.controllers - package fr.tiogars.chat.domains.prompt.controllers
- fr.tiogars.chat.domains.prompt.entities - package fr.tiogars.chat.domains.prompt.entities
- fr.tiogars.chat.domains.prompt.models - package fr.tiogars.chat.domains.prompt.models
- fr.tiogars.chat.domains.prompt.repositories - package fr.tiogars.chat.domains.prompt.repositories
- fr.tiogars.chat.domains.prompt.services - package fr.tiogars.chat.domains.prompt.services
- fr.tiogars.chat.domains.settings.user.controllers - package fr.tiogars.chat.domains.settings.user.controllers
- fr.tiogars.chat.domains.settings.user.entities - package fr.tiogars.chat.domains.settings.user.entities
- fr.tiogars.chat.domains.settings.user.models - package fr.tiogars.chat.domains.settings.user.models
- fr.tiogars.chat.domains.settings.user.repositories - package fr.tiogars.chat.domains.settings.user.repositories
- fr.tiogars.chat.domains.settings.user.services - package fr.tiogars.chat.domains.settings.user.services
- fr.tiogars.chat.domains.tag.controllers - package fr.tiogars.chat.domains.tag.controllers
- fr.tiogars.chat.domains.tag.entities - package fr.tiogars.chat.domains.tag.entities
- fr.tiogars.chat.domains.tag.models - package fr.tiogars.chat.domains.tag.models
- fr.tiogars.chat.domains.tag.repositories - package fr.tiogars.chat.domains.tag.repositories
- fr.tiogars.chat.domains.task.controllers - package fr.tiogars.chat.domains.task.controllers
- fr.tiogars.chat.domains.task.entities - package fr.tiogars.chat.domains.task.entities
- fr.tiogars.chat.domains.task.models - package fr.tiogars.chat.domains.task.models
- fr.tiogars.chat.domains.task.repositories - package fr.tiogars.chat.domains.task.repositories
- fr.tiogars.chat.domains.task.services - package fr.tiogars.chat.domains.task.services
- fr.tiogars.chat.domains.taxonomy - package fr.tiogars.chat.domains.taxonomy
- from(NomenclatureEntity) - Static method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
- from(TagEntity) - Static method in record class fr.tiogars.chat.domains.tag.models.Tag
G
- generateToken(UserDetails) - Method in class fr.tiogars.chat.domains.auth.services.JwtTokenService
- getAllServices() - Method in class fr.tiogars.chat.domains.mcp.services.McpService
-
Get all registered MCP service configurations.
- getAssignedTo() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getCode() - Method in class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- getCode() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getCode() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getCreatedBy() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getCreatedBy() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getCreatedDate() - Method in class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- getCreatedDate() - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- getCreatedDate() - Method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- getCreatedDate() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getCreatedDate() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getCurrentAuditor() - Method in class fr.tiogars.chat.config.SecurityAuditorAware
- getDeletedBy() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getDeletedDate() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getDescription() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getDescription() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getDueDate() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getId() - Method in class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- getId() - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- getId() - Method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- getId() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getId() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getLabel() - Method in class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- getLabel() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getLabel() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getLastModifiedBy() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getLastModifiedBy() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getLastModifiedDate() - Method in class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- getLastModifiedDate() - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- getLastModifiedDate() - Method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- getLastModifiedDate() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getLastModifiedDate() - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- getNomenclatureId() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getParent() - Method in class fr.tiogars.chat.domains.nomenclature.entities.NomenclatureEntity
- getParentId() - Method in class fr.tiogars.chat.domains.nomenclature.entities.NomenclatureEntity
- getPasswordHash() - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- getPriority() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getRoleCode() - Method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- getRoles() - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- getService(String) - Method in class fr.tiogars.chat.domains.mcp.controllers.McpServiceController
- getService(String) - Method in class fr.tiogars.chat.domains.mcp.services.McpService
-
Get a specific MCP service configuration by ID.
- getStatus() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getTagIds() - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- getUser() - Method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- getUsername() - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- getViewMode() - Method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- GLOBAL_ID - Static variable in class fr.tiogars.chat.domains.lmstudio.entities.LmStudioSettingsEntity
H
- hashCode() - Method in record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.CreateTagRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.Tag
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.Task
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.UpdateNomenclatureRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.UpdateTagRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.common.models.DeleteSelectedRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.common.models.DeleteSelectedResponse
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.config.AdminAccountProperties
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.config.JwtProperties
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.models.LoginRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.models.LoginResponse
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.role.models.CreateRoleRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.role.models.UpdateRoleRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.user.models.CreateUserRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.auth.user.models.UpdateUserRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.nomenclature.models.UpdateNomenclatureRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.settings.user.entities.UserSettings
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.settings.user.models.UpdateUserSettingsRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.tag.models.CreateTagRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.tag.models.UpdateTagRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.task.models.PrintSelectedTasksRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns a hash code value for this object.
- HIGH - Enum constant in enum class fr.tiogars.chat.client.TaskPriority
- HIGH - Enum constant in enum class fr.tiogars.chat.domains.task.models.TaskPriority
I
- id() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
idrecord component. - ids() - Method in record class fr.tiogars.chat.common.models.DeleteSelectedRequest
-
Returns the value of the
idsrecord component. - ids() - Method in record class fr.tiogars.chat.domains.task.models.PrintSelectedTasksRequest
-
Returns the value of the
idsrecord component. - importCsv(String) - Method in class fr.tiogars.chat.client.TaskClient
-
Imports Tasks from a CSV document.
- importCsvTask(String) - Method in class fr.tiogars.chat.domains.task.controllers.TaskImportExportController
-
Imports CSV records.
- importJson(List) - Method in class fr.tiogars.chat.client.TaskClient
-
Imports Tasks from JSON-compatible requests.
- importJsonTask(List) - Method in class fr.tiogars.chat.domains.task.controllers.TaskImportExportController
-
Imports JSON records.
- IN_PROGRESS - Enum constant in enum class fr.tiogars.chat.client.TaskStatus
- IN_PROGRESS - Enum constant in enum class fr.tiogars.chat.domains.task.models.TaskStatus
- isBaseUrlValid() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
- isEnabled() - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- isTokenConfigured() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
- isValid(String, UserDetails) - Method in class fr.tiogars.chat.domains.auth.services.JwtTokenService
J
- JpaAuditingConfiguration - Class in fr.tiogars.chat.config
-
Configures authenticated actors and PostgreSQL-compatible audit timestamps.
- JpaAuditingConfiguration() - Constructor for class fr.tiogars.chat.config.JpaAuditingConfiguration
- JwtAuthenticationFilter - Class in fr.tiogars.chat.domains.auth.services
-
Reads Bearer tokens and populates the Spring Security context.
- JwtProperties - Record Class in fr.tiogars.chat.config
-
JWT signing and lifetime settings.
- JwtProperties(String, long) - Constructor for record class fr.tiogars.chat.config.JwtProperties
-
Creates an instance of a
JwtPropertiesrecord class. - JwtTokenService - Class in fr.tiogars.chat.domains.auth.services
-
Generates and validates signed JWT access tokens.
- JwtTokenService(JwtProperties) - Constructor for class fr.tiogars.chat.domains.auth.services.JwtTokenService
L
- label() - Method in record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.CreateTagRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.UpdateNomenclatureRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.UpdateTagRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.auth.role.models.CreateRoleRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.auth.role.models.UpdateRoleRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.nomenclature.models.UpdateNomenclatureRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.tag.models.CreateTagRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.tag.models.UpdateTagRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
labelrecord component. - lastModifiedBy() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
lastModifiedByrecord component. - lastModifiedBy() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
lastModifiedByrecord component. - lastModifiedBy() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
lastModifiedByrecord component. - lastModifiedBy() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
lastModifiedByrecord component. - lastModifiedBy() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
lastModifiedByrecord component. - lastModifiedBy() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
lastModifiedByrecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.client.Tag
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.domains.settings.user.entities.UserSettings
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
lastModifiedDaterecord component. - listServices() - Method in class fr.tiogars.chat.domains.mcp.controllers.McpServiceController
- listTask() - Method in class fr.tiogars.chat.domains.task.controllers.TasksListController
-
Lists all records.
- LmStudioChatClientImpl - Class in fr.tiogars.chat.domains.prompt.services
-
Implementation of ChatClientAdapter for LMStudio.
- LmStudioChatClientImpl(LmStudioSettingsService) - Constructor for class fr.tiogars.chat.domains.prompt.services.LmStudioChatClientImpl
- LmStudioSettings - Record Class in fr.tiogars.chat.domains.lmstudio.models
- LmStudioSettings(String, String, int, String) - Constructor for record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Creates an instance of a
LmStudioSettingsrecord class. - LmStudioSettings(String, String, int) - Constructor for record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
- LmStudioSettingsController - Class in fr.tiogars.chat.domains.lmstudio.controllers
- LmStudioSettingsController(LmStudioSettingsService) - Constructor for class fr.tiogars.chat.domains.lmstudio.controllers.LmStudioSettingsController
- LmStudioSettingsEntity - Class in fr.tiogars.chat.domains.lmstudio.entities
- LmStudioSettingsEntity() - Constructor for class fr.tiogars.chat.domains.lmstudio.entities.LmStudioSettingsEntity
- LmStudioSettingsEntity(LmStudioSettings) - Constructor for class fr.tiogars.chat.domains.lmstudio.entities.LmStudioSettingsEntity
- LmStudioSettingsRepository - Interface in fr.tiogars.chat.domains.lmstudio.repositories
- LmStudioSettingsService - Class in fr.tiogars.chat.domains.lmstudio.services
- LmStudioSettingsService(LmStudioSettingsRepository) - Constructor for class fr.tiogars.chat.domains.lmstudio.services.LmStudioSettingsService
- loadUserByUsername(String) - Method in class fr.tiogars.chat.domains.auth.services.TemplateUserDetailsService
- lockById(Long) - Method in interface fr.tiogars.chat.domains.tag.repositories.TagRepository
- lockForest() - Method in interface fr.tiogars.chat.domains.nomenclature.repositories.NomenclatureRepository
- login(LoginRequest) - Method in class fr.tiogars.chat.domains.auth.services.AuthService
- LoginRequest - Record Class in fr.tiogars.chat.domains.auth.models
-
Credentials used to request a JWT.
- LoginRequest(String, String) - Constructor for record class fr.tiogars.chat.domains.auth.models.LoginRequest
-
Creates an instance of a
LoginRequestrecord class. - LoginResponse - Record Class in fr.tiogars.chat.domains.auth.models
-
JWT response returned after successful authentication.
- LoginResponse(String, String, Instant, User) - Constructor for record class fr.tiogars.chat.domains.auth.models.LoginResponse
-
Creates an instance of a
LoginResponserecord class. - LOW - Enum constant in enum class fr.tiogars.chat.client.TaskPriority
- LOW - Enum constant in enum class fr.tiogars.chat.domains.task.models.TaskPriority
M
- main(String[]) - Static method in class fr.tiogars.chat.ChatApplication
-
Starts the application.
- maxTokens() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Returns the value of the
maxTokensrecord component. - McpActionRequest - Record Class in fr.tiogars.chat.domains.mcp.models
-
Request to execute an action on an MCP service.
- McpActionRequest(String, String, Map) - Constructor for record class fr.tiogars.chat.domains.mcp.models.McpActionRequest
-
Creates an instance of a
McpActionRequestrecord class. - McpActionResponse - Record Class in fr.tiogars.chat.domains.mcp.models
-
Response from an MCP action execution.
- McpActionResponse(boolean, Map, List, String, long) - Constructor for record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Creates an instance of a
McpActionResponserecord class. - McpResource - Record Class in fr.tiogars.chat.domains.mcp.models
-
Represents an MCP resource.
- McpResource(String, String, String, String, Long) - Constructor for record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Creates an instance of a
McpResourcerecord class. - McpService - Class in fr.tiogars.chat.domains.mcp.services
-
Service for managing MCP services and executing actions.
- McpService() - Constructor for class fr.tiogars.chat.domains.mcp.services.McpService
- McpServiceConfig - Record Class in fr.tiogars.chat.domains.mcp.models
-
Configuration for an MCP service.
- McpServiceConfig(String, String, String, String, Map, boolean, int) - Constructor for record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Creates an instance of a
McpServiceConfigrecord class. - McpServiceController - Class in fr.tiogars.chat.domains.mcp.controllers
-
REST controller for MCP service operations.
- McpServiceController(McpService) - Constructor for class fr.tiogars.chat.domains.mcp.controllers.McpServiceController
- McpServiceEntity - Class in fr.tiogars.chat.domains.mcp.entities
-
Entity for storing MCP service configurations.
- McpServiceEntity() - Constructor for class fr.tiogars.chat.domains.mcp.entities.McpServiceEntity
- McpServiceEntity(String, String, String, String, Map, boolean, Integer) - Constructor for class fr.tiogars.chat.domains.mcp.entities.McpServiceEntity
- McpServiceRepository - Interface in fr.tiogars.chat.domains.mcp.repositories
-
Repository for MCP service entities.
- mimeType() - Method in record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Returns the value of the
mimeTyperecord component. - model() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Returns the value of the
modelrecord component. - model() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Returns the value of the
modelrecord component. - model() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Returns the value of the
modelrecord component. - MyUserSettingsReadController - Class in fr.tiogars.chat.domains.settings.user.controllers
-
Exposes the endpoint that reads the settings of the authenticated account.
- MyUserSettingsUpdateController - Class in fr.tiogars.chat.domains.settings.user.controllers
-
Exposes the endpoint that updates the settings of the authenticated account.
N
- name() - Method in record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Returns the value of the
namerecord component. - name() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns the value of the
namerecord component. - nomenclature(Long) - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- Nomenclature - Record Class in fr.tiogars.chat.client
- Nomenclature - Record Class in fr.tiogars.chat.domains.nomenclature.models
- Nomenclature(Long, String, String, String, Instant, Instant, String, String, Long) - Constructor for record class fr.tiogars.chat.client.Nomenclature
-
Creates an instance of a
Nomenclaturerecord class. - Nomenclature(Long, String, String, String, Instant, Instant, String, String, Long) - Constructor for record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Creates an instance of a
Nomenclaturerecord class. - NomenclatureClient - Class in fr.tiogars.chat.client
- NomenclatureClient(URI) - Constructor for class fr.tiogars.chat.client.NomenclatureClient
- NomenclatureController - Class in fr.tiogars.chat.domains.nomenclature.controllers
- NomenclatureController(TaxonomyService) - Constructor for class fr.tiogars.chat.domains.nomenclature.controllers.NomenclatureController
- NomenclatureEntity - Class in fr.tiogars.chat.domains.nomenclature.entities
- NomenclatureEntity() - Constructor for class fr.tiogars.chat.domains.nomenclature.entities.NomenclatureEntity
- NomenclatureEntity(String, String, String) - Constructor for class fr.tiogars.chat.domains.nomenclature.entities.NomenclatureEntity
- nomenclatureId() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
nomenclatureIdrecord component. - nomenclatureId() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
nomenclatureIdrecord component. - nomenclatureId() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
nomenclatureIdrecord component. - nomenclatureId() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
nomenclatureIdrecord component. - nomenclatureId() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
nomenclatureIdrecord component. - nomenclatureId() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
nomenclatureIdrecord component. - NomenclatureRepository - Interface in fr.tiogars.chat.domains.nomenclature.repositories
- nomenclatures() - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- NORMAL - Enum constant in enum class fr.tiogars.chat.client.TaskPriority
- NORMAL - Enum constant in enum class fr.tiogars.chat.domains.task.models.TaskPriority
P
- parameters() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionRequest
-
Returns the value of the
parametersrecord component. - parentId() - Method in record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Returns the value of the
parentIdrecord component. - parentId() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns the value of the
parentIdrecord component. - parentId() - Method in record class fr.tiogars.chat.client.UpdateNomenclatureRequest
-
Returns the value of the
parentIdrecord component. - parentId() - Method in record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Returns the value of the
parentIdrecord component. - parentId() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns the value of the
parentIdrecord component. - parentId() - Method in record class fr.tiogars.chat.domains.nomenclature.models.UpdateNomenclatureRequest
-
Returns the value of the
parentIdrecord component. - parse(String) - Method in class fr.tiogars.chat.domains.task.services.TaskCsvCodec
-
Parses records from CSV.
- password() - Method in record class fr.tiogars.chat.config.AdminAccountProperties
-
Returns the value of the
passwordrecord component. - password() - Method in record class fr.tiogars.chat.domains.auth.models.LoginRequest
-
Returns the value of the
passwordrecord component. - password() - Method in record class fr.tiogars.chat.domains.auth.user.models.CreateUserRequest
-
Returns the value of the
passwordrecord component. - password() - Method in record class fr.tiogars.chat.domains.auth.user.models.UpdateUserRequest
-
Returns the value of the
passwordrecord component. - print(Long) - Method in class fr.tiogars.chat.domains.task.services.TaskPrintService
-
Prints an active record.
- printAll() - Method in class fr.tiogars.chat.domains.task.services.TasksPrintAllService
-
Prints all active records ordered by code.
- printAllTasks() - Method in class fr.tiogars.chat.domains.task.controllers.TaskPrintController
- printSelected(List) - Method in class fr.tiogars.chat.domains.task.services.TasksPrintSelectedService
-
Prints a selection ordered by code without duplicating records.
- printSelectedTasks(PrintSelectedTasksRequest) - Method in class fr.tiogars.chat.domains.task.controllers.TaskPrintController
- PrintSelectedTasksRequest - Record Class in fr.tiogars.chat.domains.task.models
-
Identifies Tasks selected for PDF printing.
- PrintSelectedTasksRequest(List) - Constructor for record class fr.tiogars.chat.domains.task.models.PrintSelectedTasksRequest
-
Creates an instance of a
PrintSelectedTasksRequestrecord class. - printTask(Long) - Method in class fr.tiogars.chat.domains.task.controllers.TaskPrintController
- priority() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
priorityrecord component. - priority() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
priorityrecord component. - priority() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
priorityrecord component. - priority() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
priorityrecord component. - priority() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
priorityrecord component. - priority() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
priorityrecord component. - processAndSavePrompt(PromptRequest, UUID, String) - Method in class fr.tiogars.chat.domains.prompt.services.PromptPersistenceService
-
Process a prompt request, save it to the database, and return the AI response.
- processingTimeMs() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Returns the value of the
processingTimeMsrecord component. - processingTimeMs() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Returns the value of the
processingTimeMsrecord component. - processPrompt(PromptRequest) - Method in class fr.tiogars.chat.domains.prompt.controllers.PromptController
- processPrompt(PromptRequest) - Method in class fr.tiogars.chat.domains.prompt.services.PromptPersistenceService
-
Process a prompt without saving it to the database.
- processPrompt(PromptRequest) - Method in class fr.tiogars.chat.domains.prompt.services.PromptService
-
Process a prompt request and return the AI response.
- prompt() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Returns the value of the
promptrecord component. - PromptController - Class in fr.tiogars.chat.domains.prompt.controllers
-
REST controller for AI prompt operations.
- PromptController(PromptService) - Constructor for class fr.tiogars.chat.domains.prompt.controllers.PromptController
- PromptEntity - Class in fr.tiogars.chat.domains.prompt.entities
-
Entity for storing prompt history and configurations.
- PromptEntity() - Constructor for class fr.tiogars.chat.domains.prompt.entities.PromptEntity
- PromptEntity(String, String, String, String, Integer, Long, String, String, UUID) - Constructor for class fr.tiogars.chat.domains.prompt.entities.PromptEntity
- PromptPersistenceService - Class in fr.tiogars.chat.domains.prompt.services
-
Service for handling AI prompts with persistence.
- PromptPersistenceService(ChatClientAdapter, PromptRepository) - Constructor for class fr.tiogars.chat.domains.prompt.services.PromptPersistenceService
- PromptRepository - Interface in fr.tiogars.chat.domains.prompt.repositories
-
Repository for prompt entities.
- PromptRequest - Record Class in fr.tiogars.chat.domains.prompt.models
-
Request model for sending a prompt to the AI.
- PromptRequest(String, String, String, Double, Integer) - Constructor for record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Creates an instance of a
PromptRequestrecord class. - PromptResponse - Record Class in fr.tiogars.chat.domains.prompt.models
-
Response model from the AI for a prompt.
- PromptResponse(String, String, int, long, String) - Constructor for record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Creates an instance of a
PromptResponserecord class. - PromptService - Class in fr.tiogars.chat.domains.prompt.services
-
Service for handling AI prompts.
- PromptService(ChatClientAdapter) - Constructor for class fr.tiogars.chat.domains.prompt.services.PromptService
R
- read() - Method in class fr.tiogars.chat.domains.lmstudio.controllers.LmStudioSettingsController
- readTask(Long) - Method in class fr.tiogars.chat.domains.task.controllers.TaskReadController
- references(List, NomenclatureEntity) - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- registerService(McpServiceConfig) - Method in class fr.tiogars.chat.domains.mcp.controllers.McpServiceController
- registerService(McpServiceConfig) - Method in class fr.tiogars.chat.domains.mcp.services.McpService
-
Register a new MCP service.
- render(String, List) - Method in class fr.tiogars.chat.domains.task.services.TaskPdfRenderer
-
Renders one record per page, continuing long records on additional pages.
- requireSettings() - Method in class fr.tiogars.chat.domains.lmstudio.services.LmStudioSettingsService
- resources() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Returns the value of the
resourcesrecord component. - response() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Returns the value of the
responserecord component. - Role - Record Class in fr.tiogars.chat.domains.auth.role.entities
-
Public role representation.
- Role(Long, String, String, Instant, Instant) - Constructor for record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Creates an instance of a
Rolerecord class. - roleCode() - Method in record class fr.tiogars.chat.domains.settings.user.entities.UserSettings
-
Returns the value of the
roleCoderecord component. - RoleCreateController - Class in fr.tiogars.chat.domains.auth.role.controllers
-
Exposes the endpoint that creates roles.
- RoleDeleteController - Class in fr.tiogars.chat.domains.auth.role.controllers
-
Exposes the endpoint that deletes roles.
- RoleDeleteSelectedController - Class in fr.tiogars.chat.domains.auth.role.controllers
-
Exposes the endpoint that deletes a selection of roles.
- RoleDeleteSelectedService - Class in fr.tiogars.chat.domains.auth.role.services
-
Deletes a selection of roles in a single transaction; system roles are skipped.
- RoleDeleteSelectedService(RoleService) - Constructor for class fr.tiogars.chat.domains.auth.role.services.RoleDeleteSelectedService
- RoleEntity - Class in fr.tiogars.chat.domains.auth.role.entities
-
Persists an authorization role.
- RoleEntity() - Constructor for class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- RoleEntity(String, String, Instant, Instant) - Constructor for class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- RoleReadController - Class in fr.tiogars.chat.domains.auth.role.controllers
-
Exposes the endpoint that reads roles.
- RoleRepository - Interface in fr.tiogars.chat.domains.auth.role.repositories
-
Accesses persisted authorization roles.
- roles() - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Returns the value of the
rolesrecord component. - roles() - Method in record class fr.tiogars.chat.domains.auth.user.models.CreateUserRequest
-
Returns the value of the
rolesrecord component. - roles() - Method in record class fr.tiogars.chat.domains.auth.user.models.UpdateUserRequest
-
Returns the value of the
rolesrecord component. - RoleService - Class in fr.tiogars.chat.domains.auth.role.services
-
Coordinates role persistence and default role seeding.
- RoleService(RoleRepository) - Constructor for class fr.tiogars.chat.domains.auth.role.services.RoleService
- RolesListController - Class in fr.tiogars.chat.domains.auth.role.controllers
-
Exposes the endpoint that lists roles.
- RoleUpdateController - Class in fr.tiogars.chat.domains.auth.role.controllers
-
Exposes the endpoint that updates roles.
S
- secret() - Method in record class fr.tiogars.chat.config.JwtProperties
-
Returns the value of the
secretrecord component. - SecurityAuditorAware - Class in fr.tiogars.chat.config
-
Resolves audit actors from the authenticated security context.
- SecurityAuditorAware() - Constructor for class fr.tiogars.chat.config.SecurityAuditorAware
- seed(List) - Method in class fr.tiogars.chat.client.TaskClient
-
Seeds Tasks from structured requests.
- seed(List) - Method in class fr.tiogars.chat.domains.task.services.TaskSeedService
-
Creates or updates templates by immutable business code.
- seedDefaultRoles() - Method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- seedTask(List) - Method in class fr.tiogars.chat.domains.task.controllers.TaskSeedController
-
Creates or replaces the supplied records.
- serialize(List) - Method in class fr.tiogars.chat.domains.task.services.TaskCsvCodec
-
Serializes records to CSV.
- serviceId() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionRequest
-
Returns the value of the
serviceIdrecord component. - setParent(NomenclatureEntity) - Method in class fr.tiogars.chat.domains.nomenclature.entities.NomenclatureEntity
- size() - Method in record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Returns the value of the
sizerecord component. - skippedIds() - Method in record class fr.tiogars.chat.common.models.DeleteSelectedResponse
-
Returns the value of the
skippedIdsrecord component. - softDelete(Instant, String) - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- status() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
statusrecord component. - status() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
statusrecord component. - status() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
statusrecord component. - status() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
statusrecord component. - status() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
statusrecord component. - status() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
statusrecord component. - success() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Returns the value of the
successrecord component. - systemPrompt() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Returns the value of the
systemPromptrecord component.
T
- tag(Long) - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- Tag - Record Class in fr.tiogars.chat.client
- Tag - Record Class in fr.tiogars.chat.domains.tag.models
- Tag(Long, String, String, String, Instant, Instant, String, String) - Constructor for record class fr.tiogars.chat.client.Tag
-
Creates an instance of a
Tagrecord class. - Tag(Long, String, String, String, Instant, Instant, String, String) - Constructor for record class fr.tiogars.chat.domains.tag.models.Tag
-
Creates an instance of a
Tagrecord class. - TagClient - Class in fr.tiogars.chat.client
- TagClient(URI) - Constructor for class fr.tiogars.chat.client.TagClient
- TagController - Class in fr.tiogars.chat.domains.tag.controllers
- TagController(TaxonomyService) - Constructor for class fr.tiogars.chat.domains.tag.controllers.TagController
- TagEntity - Class in fr.tiogars.chat.domains.tag.entities
- TagEntity() - Constructor for class fr.tiogars.chat.domains.tag.entities.TagEntity
- TagEntity(String, String, String) - Constructor for class fr.tiogars.chat.domains.tag.entities.TagEntity
- tagIds() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns the value of the
tagIdsrecord component. - tagIds() - Method in record class fr.tiogars.chat.client.Task
-
Returns the value of the
tagIdsrecord component. - tagIds() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns the value of the
tagIdsrecord component. - tagIds() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns the value of the
tagIdsrecord component. - tagIds() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns the value of the
tagIdsrecord component. - tagIds() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns the value of the
tagIdsrecord component. - TagRepository - Interface in fr.tiogars.chat.domains.tag.repositories
- tags() - Method in class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- Task - Record Class in fr.tiogars.chat.client
-
Represents a Task returned by the Task API.
- Task - Record Class in fr.tiogars.chat.domains.task.models
-
Represents an business object managed by the template API.
- Task(Long, String, String, String, Instant, Instant, String, String, TaskStatus, TaskPriority, LocalDate, String, List, Long) - Constructor for record class fr.tiogars.chat.domains.task.models.Task
-
Creates an instance of a
Taskrecord class. - Task(Long, String, String, String, Instant, Instant) - Constructor for record class fr.tiogars.chat.client.Task
-
Creates a template without audit actors for compatibility with older API responses.
- Task(Long, String, String, String, Instant, Instant, String, String) - Constructor for record class fr.tiogars.chat.client.Task
- Task(Long, String, String, String, Instant, Instant, String, String) - Constructor for record class fr.tiogars.chat.domains.task.models.Task
- Task(Long, String, String, String, Instant, Instant, String, String, TaskStatus, TaskPriority, LocalDate, String, List, Long) - Constructor for record class fr.tiogars.chat.client.Task
-
Creates an instance of a
Taskrecord class. - TaskClient - Class in fr.tiogars.chat.client
-
Provides HTTP access to the Task API.
- TaskClient(URI) - Constructor for class fr.tiogars.chat.client.TaskClient
-
Creates a client backed by the default Java HTTP client.
- TaskConflictHandler - Class in fr.tiogars.chat.domains.task.controllers
-
Reports active-code and concurrent-write conflicts without hiding other database errors.
- TaskConflictHandler() - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskConflictHandler
- TaskCreateController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes the endpoint that creates domain records.
- TaskCreateController(TaskCreateService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskCreateController
-
Creates the record creation endpoint.
- TaskCreateService - Class in fr.tiogars.chat.domains.task.services
-
Creates Tasks when their business code is available.
- TaskCreateService(TaskRepository) - Constructor for class fr.tiogars.chat.domains.task.services.TaskCreateService
-
Creates a service using Spring Data auditing.
- TaskCsvCodec - Class in fr.tiogars.chat.domains.task.services
-
Serializes and parses Tasks in the CSV import/export format.
- TaskCsvCodec() - Constructor for class fr.tiogars.chat.domains.task.services.TaskCsvCodec
- TaskDeleteController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes the endpoint that archives a domain record.
- TaskDeleteController(TaskDeleteService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskDeleteController
-
Creates the delete endpoint.
- TaskDeleteSelectedController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes the endpoint that archives a selection of domain records.
- TaskDeleteSelectedController(TaskDeleteSelectedService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskDeleteSelectedController
-
Creates the bulk delete endpoint.
- TaskDeleteSelectedService - Class in fr.tiogars.chat.domains.task.services
-
Soft-deletes a selection of Tasks in a single transaction.
- TaskDeleteSelectedService(TaskDeleteService) - Constructor for class fr.tiogars.chat.domains.task.services.TaskDeleteSelectedService
-
Creates the bulk deletion service.
- TaskDeleteService - Class in fr.tiogars.chat.domains.task.services
-
Archives Tasks without removing their database rows.
- TaskDeleteService(TaskRepository, SecurityAuditorAware, Clock) - Constructor for class fr.tiogars.chat.domains.task.services.TaskDeleteService
- TaskEntity - Class in fr.tiogars.chat.domains.task.entities
-
Persists a Task business object.
- TaskEntity() - Constructor for class fr.tiogars.chat.domains.task.entities.TaskEntity
- TaskEntity(String, String, String) - Constructor for class fr.tiogars.chat.domains.task.entities.TaskEntity
- TaskException - Exception Class in fr.tiogars.chat.client
-
Indicates that the Task API returned an unexpected response.
- TaskException(String) - Constructor for exception class fr.tiogars.chat.client.TaskException
-
Creates an exception with the response failure details.
- TaskFindAllService - Class in fr.tiogars.chat.domains.task.services
-
Retrieves all Tasks.
- TaskFindAllService(TaskRepository) - Constructor for class fr.tiogars.chat.domains.task.services.TaskFindAllService
- TaskFindByIdService - Class in fr.tiogars.chat.domains.task.services
-
Retrieves a Task by its persistent identifier.
- TaskFindByIdService(TaskRepository) - Constructor for class fr.tiogars.chat.domains.task.services.TaskFindByIdService
- TaskImportExportController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes JSON and CSV import/export endpoints for Tasks.
- TaskImportExportController(TaskFindAllService, TaskSeedService, TaskCsvCodec) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskImportExportController
-
Creates the import/export controller.
- TaskPdfRenderer - Class in fr.tiogars.chat.domains.task.services
-
Renders printable Task documents with wrapping and A4 pagination.
- TaskPdfRenderer() - Constructor for class fr.tiogars.chat.domains.task.services.TaskPdfRenderer
- TaskPrintController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes printable PDFs for single, all, and selected Tasks.
- TaskPrintController(TaskPrintService, TasksPrintAllService, TasksPrintSelectedService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskPrintController
- TaskPrintService - Class in fr.tiogars.chat.domains.task.services
-
Generates a printable PDF for one active Task.
- TaskPrintService(TaskFindByIdService, TaskPdfRenderer) - Constructor for class fr.tiogars.chat.domains.task.services.TaskPrintService
- TaskPriority - Enum Class in fr.tiogars.chat.client
- TaskPriority - Enum Class in fr.tiogars.chat.domains.task.models
- TaskReadController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes lookup of one Task by identifier.
- TaskReadController(TaskFindByIdService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskReadController
- TaskReferences - Class in fr.tiogars.chat.domains.task.services
- TaskReferences(TagRepository, NomenclatureRepository) - Constructor for class fr.tiogars.chat.domains.task.services.TaskReferences
- TaskRepository - Interface in fr.tiogars.chat.domains.task.repositories
-
Provides persistence operations for Tasks.
- TaskSeedController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes the endpoint that seeds a collection of domain records.
- TaskSeedController(TaskSeedService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskSeedController
-
Creates the seed endpoint.
- TaskSeedService - Class in fr.tiogars.chat.domains.task.services
-
Creates or updates Tasks from seed data.
- TaskSeedService(TaskRepository) - Constructor for class fr.tiogars.chat.domains.task.services.TaskSeedService
- TasksListController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes the endpoint that lists records in a domain.
- TasksListController(TaskFindAllService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TasksListController
-
Creates the domain query endpoint.
- TasksPrintAllService - Class in fr.tiogars.chat.domains.task.services
-
Generates a printable PDF for all active Tasks.
- TasksPrintAllService(TaskFindAllService, TaskPdfRenderer) - Constructor for class fr.tiogars.chat.domains.task.services.TasksPrintAllService
- TasksPrintSelectedService - Class in fr.tiogars.chat.domains.task.services
-
Generates a printable PDF for selected active Tasks.
- TasksPrintSelectedService(TaskRepository, TaskPdfRenderer) - Constructor for class fr.tiogars.chat.domains.task.services.TasksPrintSelectedService
- TaskStatus - Enum Class in fr.tiogars.chat.client
- TaskStatus - Enum Class in fr.tiogars.chat.domains.task.models
- TaskUpdateController - Class in fr.tiogars.chat.domains.task.controllers
-
Exposes the endpoint that updates domain records.
- TaskUpdateController(TaskUpdateService) - Constructor for class fr.tiogars.chat.domains.task.controllers.TaskUpdateController
-
Creates the record update endpoint.
- TaskUpdateService - Class in fr.tiogars.chat.domains.task.services
-
Updates existing Tasks.
- TaskUpdateService(TaskRepository) - Constructor for class fr.tiogars.chat.domains.task.services.TaskUpdateService
- TaxonomyClient<T,
C, - Class in fr.tiogars.chat.clientU> -
Shared HTTP transport for reusable taxonomy CRUD clients.
- TaxonomyClient(URI, String, Class) - Constructor for class fr.tiogars.chat.client.TaxonomyClient
- TaxonomyClient(URI, String, Class, HttpClient, ObjectMapper) - Constructor for class fr.tiogars.chat.client.TaxonomyClient
- TaxonomyConflictHandler - Class in fr.tiogars.chat.domains.taxonomy
- TaxonomyConflictHandler() - Constructor for class fr.tiogars.chat.domains.taxonomy.TaxonomyConflictHandler
- TaxonomyService - Class in fr.tiogars.chat.domains.taxonomy
- TaxonomyService(TagRepository, NomenclatureRepository) - Constructor for class fr.tiogars.chat.domains.taxonomy.TaxonomyService
- temperature() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Returns the value of the
temperaturerecord component. - TemplateUserDetailsService - Class in fr.tiogars.chat.domains.auth.services
-
Loads persisted users for Spring Security authentication.
- timeoutSeconds() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Returns the value of the
timeoutSecondsrecord component. - timeoutSeconds() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns the value of the
timeoutSecondsrecord component. - TODO - Enum constant in enum class fr.tiogars.chat.client.TaskStatus
- TODO - Enum constant in enum class fr.tiogars.chat.domains.task.models.TaskStatus
- token() - Method in record class fr.tiogars.chat.domains.auth.models.LoginResponse
-
Returns the value of the
tokenrecord component. - token() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Returns the value of the
tokenrecord component. - tokenCount() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Returns the value of the
tokenCountrecord component. - tokenType() - Method in record class fr.tiogars.chat.domains.auth.models.LoginResponse
-
Returns the value of the
tokenTyperecord component. - toRecord(RoleEntity) - Static method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- toRecord(UserEntity) - Static method in class fr.tiogars.chat.domains.auth.user.services.UserService
- toRecord(UserSettingsEntity) - Static method in class fr.tiogars.chat.domains.settings.user.services.UserSettingsService
- toSettings() - Method in class fr.tiogars.chat.domains.lmstudio.entities.LmStudioSettingsEntity
- toString() - Method in record class fr.tiogars.chat.client.CreateNomenclatureRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.CreateTagRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.CreateTaskRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.Nomenclature
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.Tag
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.Task
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.UpdateNomenclatureRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.UpdateTagRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.client.UpdateTaskRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.common.models.DeleteSelectedRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.common.models.DeleteSelectedResponse
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.config.AdminAccountProperties
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.config.JwtProperties
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.models.LoginRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.models.LoginResponse
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.role.entities.Role
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.role.models.CreateRoleRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.role.models.UpdateRoleRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.user.entities.User
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.user.models.CreateUserRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.auth.user.models.UpdateUserRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.lmstudio.models.LmStudioSettings
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.mcp.models.McpActionResponse
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.mcp.models.McpServiceConfig
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.nomenclature.models.CreateNomenclatureRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.nomenclature.models.Nomenclature
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.nomenclature.models.UpdateNomenclatureRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.prompt.models.PromptResponse
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.settings.user.entities.UserSettings
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.settings.user.models.UpdateUserSettingsRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.tag.models.CreateTagRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.tag.models.Tag
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.tag.models.UpdateTagRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.task.models.CreateTaskRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.task.models.PrintSelectedTasksRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.task.models.Task
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.chat.domains.task.models.UpdateTaskRequest
-
Returns a string representation of this record class.
- type() - Method in record class fr.tiogars.chat.domains.mcp.models.McpResource
-
Returns the value of the
typerecord component.
U
- update(long, UpdateTaskRequest) - Method in class fr.tiogars.chat.client.TaskClient
-
Updates a Task.
- update(long, U) - Method in class fr.tiogars.chat.client.TaxonomyClient
- update(LmStudioSettings) - Method in class fr.tiogars.chat.domains.lmstudio.services.LmStudioSettingsService
- update(LmStudioSettings) - Method in class fr.tiogars.chat.domains.lmstudio.controllers.LmStudioSettingsController
- update(LmStudioSettings) - Method in class fr.tiogars.chat.domains.lmstudio.entities.LmStudioSettingsEntity
- update(Long, UpdateRoleRequest) - Method in class fr.tiogars.chat.domains.auth.role.services.RoleService
- update(Long, UpdateUserRequest) - Method in class fr.tiogars.chat.domains.auth.user.services.UserService
- update(Long, UpdateNomenclatureRequest) - Method in class fr.tiogars.chat.domains.nomenclature.controllers.NomenclatureController
- update(Long, UpdateTagRequest) - Method in class fr.tiogars.chat.domains.tag.controllers.TagController
- update(Long, UpdateTaskRequest) - Method in class fr.tiogars.chat.domains.task.services.TaskUpdateService
-
Updates the mutable fields of a Task.
- update(String, String) - Method in class fr.tiogars.chat.domains.task.entities.TaskEntity
- update(String, String) - Method in class fr.tiogars.chat.domains.taxonomy.AuditedTaxonomyEntity
- update(String, String, boolean, Set, Instant) - Method in class fr.tiogars.chat.domains.auth.user.entities.UserEntity
- update(String, Instant) - Method in class fr.tiogars.chat.domains.auth.role.entities.RoleEntity
- update(String, Instant) - Method in class fr.tiogars.chat.domains.settings.user.entities.UserSettingsEntity
- updateAnonymous(UpdateUserSettingsRequest) - Method in class fr.tiogars.chat.domains.settings.user.services.UserSettingsService
- updateByUserId(Long, UpdateUserSettingsRequest) - Method in class fr.tiogars.chat.domains.settings.user.services.UserSettingsService
-
[...]
